openshot::ErrorEncodingAudio Class Reference

Exception when encoding audio packet. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::ErrorEncodingAudio:

## Public Member Functions

| ErrorEncodingAudio (string message, int64_t frame_number)
virtual | ~ErrorEncodingAudio () throw ()
Public Member Functions inherited from openshot::BaseException
| BaseException (string message)
virtual const char * | what () const throw ()
virtual | ~BaseException () throw ()

## Public Attributes

string | file_path
int64_t | frame_number

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
string | m_message

## Detailed Description

Exception when encoding audio packet.

Definition at line 90 of file Exceptions.h.

## Constructor & Destructor Documentation

## ErrorEncodingAudio()

openshot::ErrorEncodingAudio::ErrorEncodingAudio | ( | string | message,
|  | int64_t | frame_number
| ) |  |

inline

Definition at line 95 of file Exceptions.h.

## ~ErrorEncodingAudio()

virtual openshot::ErrorEncodingAudio::~ErrorEncodingAudio | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 97 of file Exceptions.h.

## Member Data Documentation

## file_path

string openshot::ErrorEncodingAudio::file_path

Definition at line 93 of file Exceptions.h.

## frame_number

int64_t openshot::ErrorEncodingAudio::frame_number

Definition at line 94 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h